

// for win10, since win10 supports GPU flip, we don't use camera to do horizontal flip, becuase not all of the cameras support this hardware feature.
// for win8, win8 doesn't support interface to use GPU flip, we have no choices but try camera hardware flip.
#define TARGET_PLATFORM_WIN10 0
#define MFT0_MINOR_VERSION 24 // version v.24
#define MFT0_FILE_VERSION 0,MFT0_MINOR_VERSION,0,0
#define MFT0_FILE_VERSION_STR "0."MFT0_MINOR_VERSION".0.0"
#define MFT0_PRODUCT_VERSION 0.0.0.0
#define MFT0_PRODUCT_VERSION_STR "0.0.0.0"

#define MFT0_PRODUCT_NAME "Intel Mft0"
#define MFT0_PRODUCT_LNAME L"Intel Mft0"
#define VCAM_CONTROL_REGKEY_PATH "Software\\Intel\\Display\\DXVA\\Intel Dxva Virtual Camera"
#define MFT0_NOTIFY_TAG_FOLDER "C:\\ProgramData\\Intel\\mft0_fb"

#define MFT0_DEBUG_DUMP FALSE
#define MFT0_DEBUG_LOG TRUE

#define MFT0_AVAILABLE_FORMAT_TABLE_LEN 2
#define MFT0_MAX_WIDTH 1280
#define MFT0_MAX_HEIGHT 720

// Win10 has issue on MFT0 with YUY2 in and NV12 out. do not used {MFVideoFormat_YUY2, MFVideoFormat_NV12, 30} unless the issue has been fixed.
#define MFT0_AVAILABLE_FORMAT_TABLE \
{\
    {MFVideoFormat_MJPG, MFVideoFormat_NV12, 30}, \
    {MFVideoFormat_YUY2, MFVideoFormat_YUY2, 30}, \
}

#define HOT_FIX_FB_HEIGHT_LIMIT_HW 1
#define HOT_FIX_FB_HEIGHT_MAX 1080

// For unknown reason mjpeg decoder returns error MFX_ERR_MORE_DATA after long run (1~3 hours)
// So for better user experience we skip one frame for the case.
#define WA_SKIP_MJPEG_DECODE_ERROR 1
